CIVru.com / / Beyond The Sword - не ставится патч 3.02 :(

SHeiff  Дата: 3 Авг 2007 00:57:32
Хочется по инету поиграть. У меня изначально стояла пиратка-DVD, в которой сразу ставится BTS. Скачиваю обновление через циву. Обновление запускается и мне говорят "Setup detected no version of Beyond The Sword is installed..."
Читал на этом форуме про то как можно решить подобную проблему для прошлых версий (добавляя ключи реестра). Раньше помогало, а тут - нет.
Вот скрины реестра и версии цивы:



Кто-нибудь патчил до 3.02? Буду очень благодарен если подскажете как это сделать...

kaizer  Дата: 3 Авг 2007 09:13:22
SHeiff
Поищи в технической лежит прога Vpadlo, которая решает эту проблему или скачай мой патч он короче и ставится без инсталятора и проверок

SHeiff  Дата: 3 Авг 2007 11:38:21
Вот эту прогу?:
http://vpadlo.com/Civ4RegPatch.exe
Она для Beyond the Sword тоже работает?

Не мог бы ты дать ссылочку на твой патч?

Arey  Дата: 3 Авг 2007 12:08:07
Впадловская прога не помогает.

kaizer  Дата: 3 Авг 2007 13:42:49
http://www.filepatio.com/3163 (16мег)

SHeiff  Дата: 3 Авг 2007 23:04:55
2kaizer:
Поставил твой патч. Теперь требует DVD. Огорчение

На GameCopyWorld (http://m0001.gamecopyworld.com/games/pc_civilization_4.shtml)
имеется только два noDVD для BTS. Один для версии 3.01, ехешник. Другой - просто для BTS. образ. Следовал инструкции. Поставил Daemon Tools 4.10. Врубил все средства эмуляции.
Не помогло. До сих пор требует DVD Огорчение

kaizer  Дата: 3 Авг 2007 23:07:09
SHeiff
Нодвд для 3.02 у меня тоже нету Огорчение

SHeiff  Дата: 3 Авг 2007 23:11:24
Ясно. Жаль. "Будем искать" (с)

В любом случае большое тебе спасибо!

Hellsih  Дата: 4 Авг 2007 02:17:25
SHeiff
Alcohol 52% (бесплатная прога) отлично эмулирует образ.

SHeiff  Дата: 5 Авг 2007 22:54:10
2Hellsih:
Образ то и Daemon tools неплохо эмулирует, только образ еще нужен ПРАВИЛЬНЫЙ, под версию 3.02. А вот его нету Огорчение

kaizer  Дата: 5 Авг 2007 22:59:52
Нет подайдет любой образ с БТС, но только копия с оригинала, большинство пираток не определяются как диск с БТС

Godwar  Дата: 5 Авг 2007 23:47:50
SHeiff:Поставил твой патч. Теперь требует DVD. Огорчение

На GameCopyWorld (http://m0001.gamecopyworld.com/games/pc_civilization_4.shtml)
имеется только два noDVD для BTS. Один для версии 3.01, ехешник. Другой - просто для BTS. образ. Следовал инструкции. Поставил Daemon Tools 4.10. Врубил все средства эмуляции.
Не помогло. До сих пор требует DVD Огорчение

У меня все тоже самое только демон 4,09 плюс еще YASU использовал, но результат тоже нулевой. Поступил следующим образом: взял но-двд от версии 3,01, с ним запускается

Tomcat  Дата: 6 Авг 2007 09:31:18
у меня с Yasu 3.02 работает с образа

SHeiff  Дата: 7 Авг 2007 14:51:52
Ура! С Yasu все заработало с образом который отсюда: http://m0001.gamecopyworld.com/games/pc_civilization_4.shtml!

Играю в нете и все ништяк... Почти ништяк. Все время пишет мол у вас левые версии файлов, но игры все равно играются. Только уже в двух играх все игроки повыходили Огорчение

Спасибо!

itshurik  Дата: 8 Авг 2007 11:18:41
SHeiff а ссылочка то уже не загружается...

kaizer  Дата: 8 Авг 2007 11:22:31
обновлю сегодня ближе к вечеру, пока нет времени

Inter  Дата: 10 Авг 2007 10:19:53
Up
Ни у кого так и не появился NoDVD для 3,02 ? Я поставил себе старый крякнутый экзешник для 3,00 - игра запускается, но в нет не пускает...

Mrak  Дата: 18 Авг 2007 01:13:22
SHeiff:Скачиваю обновление через циву. Обновление запускается и мне говорят "Setup detected no version of Beyond The Sword is installed..."

Целый день воевал с этой проблемой. Для моего ноута решение было таким Подмигивание
1. Запускаем regedit
2. там идем по ключикам: HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall и сохраняем ключик {32E4F0D2-C135-475E-A841-1D59A0D22989} как файл реестра (nt4)
3. Редактируем данный файл и меняем HKEY_LOCAL_MACHINE на HKEY_CURRENT_USER в самом начале файла.
4. Запускаем данный reg файл. Он скажет что файл реестра успешно добавлен Улыбка
5. Запускаем и инсталим патч. (Я уже проверил с 3.03)

Удачи!

_XV_  Дата: 19 Авг 2007 17:14:27
Mrak, а как это сделать: и сохраняем ключик {32E4F0D2-C135-475E-A841-1D59A0D22989} как файл реестра (nt4)
Подробнее можно объяснить плиз.

mahakaruna  Дата: 2 Окт 2007 01:37:39
обновите еще раз ссылку, пожалуйста

kaizer  Дата: 2 Окт 2007 07:53:43
Ждем патча 3.13 и все переходим на него, как появится сразуже выложу

mahakaruna  Дата: 2 Окт 2007 17:02:17
а когда будет.. мне сейчас поиграть хочется...

kaizer  Дата: 2 Окт 2007 17:28:19
mahakaruna
Ждем со дня на день ... уже 2 недели Подмигивание

Это будет первый человеческий патч, где пофиксино куча багов и серьезное изменение геймплея, а 3.02 b 3.03 фактически ничего не меняли, так что их можно и не ставить.

mahakaruna  Дата: 2 Окт 2007 17:37:36
я хочу попробовать поставить, может это залечит постоянное вылетание игры...

kaizer  Дата: 2 Окт 2007 18:01:00
mahakaruna
А ты откуда ставил БТС, вроде не вылетает - я на многих компах пробовал, даже на слабеньких

mahakaruna  Дата: 2 Окт 2007 20:08:35
у меня версия какая-то, сразу БТС, не надо ставить вначале просто Цивилизацию.. естественно пиратка, вообще-то суть проблемы я описал в теме: Игра нещадно вылетает.
Я уже все попробовал.. уже подозрения, что может с каким-то апдейтом windows XP конфликтует.. вообщем сейчас буду пробовать стандартно ставить, вначале просто Циву от 1С, на нее патч, потом БТС сверху... может поможет

kicks  Дата: 2 Окт 2007 20:30:06
mahakaruna:вообщем сейчас буду пробовать стандартно ставить, вначале просто Циву от 1С, на нее патч, потом БТС сверху... может поможет


Тогда тебе сюда

mahakaruna  Дата: 2 Окт 2007 20:31:15
Да.. уже там... спасибо!

mahakaruna  Дата: 2 Окт 2007 21:46:49
Не помогло, вызываю старый сейв, и точно на том же месте вылетает с тем же текстом, только теперь грешит на файл mscr71.dll, а не на mscp71.dll Кароче бред, задолбало меня...

drive  Дата: 3 Окт 2007 17:46:34
Скорее всего проблема со старым директ икс, у меня для моего БТС спецально на диске был самый свежий на то время директ икс, а так даже при запуске требовал различные ДЛЛ.

kicks  Дата: 3 Окт 2007 17:53:41
mahakaruna:у меня версия какая-то, сразу БТС, не надо ставить вначале просто Цивилизацию.. естественно пиратка,

Если после переустановки windows, directX августовский, 1С Цивилизация и на нее сверху BtS, то скорее всего дело в этом - в самой BTS что-то не так.

mahakaruna  Дата: 3 Окт 2007 23:42:58
да не знаю уже, пробовал две разных БТС, одна сразу ставится, другая на 1С, эффект один и тот же... видимо не судьба пока, наверное надо диплом писать а не в игры играть.. хехе Улыбка

Yazverg  Дата: 4 Окт 2007 01:06:56
У меня библиотеки и Питон глючили от того, что не до конца снёс Варлордов... Когда реестр почитил - понеслось, да так, что из аспира выпускаюсь без кандидатской Смех

mahakaruna  Дата: 4 Окт 2007 18:26:29
Широкая улыбка Широкая улыбка вот вот.. такая же хрень, видимо судьба хочет чтобы я до зимы все таки закончил дипломку

abxy  Дата: 27 Окт 2007 18:55:18
купил диск "Civilization IV - Beyond the Sword" (явно пиратский), Установил и запустил без проблем.
Скачал официальные патчи 3.02 (27 Мб) и 3.13 (121 Мб) - ни один не хочет ставиться.
Сначала была ошибка:
"The setup has detected that no version of Sid Meier's Civilization 4 is instaled"
"this update requires that a previous version of the application be installed"
(это примерно)
После того как день потратил на перечитывание форумов и применение разных "методик":
"The setup has detected that version 1.00.000 of Sid Meiers's Civilization 4 - Beyond the Sword is already installed"
""
"This setup is not compatible with this version."
""
"You will have to uninstall the previous version before installing this version"
(а это точно)

Как побороть?
смена ветки в экспортированном reg файле как советует "Mrak" (HKLM->HKCU) не помогает. правда ветки с ключом {32E4F0D2-C135-475E-A841-1D59A0D22989} у меня после установки не было. Была: {AC292FF3-F5EF-41CC-9439-90BA09BE1CE9}


Warning: Cannot modify header information - headers already sent by (output started at /storage/home/civruwf9/civru.com/forum/addon_print.php:114) in /storage/home/civruwf9/civru.com/forum/addon_last_messages.php on line 38

Warning: Cannot modify header information - headers already sent by (output started at /storage/home/civruwf9/civru.com/forum/addon_print.php:114) in /storage/home/civruwf9/civru.com/forum/addon_last_messages.php on line 39

Администрация форума: editors@civru.com
Rambler's Top100
XML [?]